Update Discord Embed
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/notifications/settings/{notificationId}/discord-embed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template": [],
"message": "<@&123> New order!"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/notifications/settings/{notificationId}/discord-embed"
payload = {
"template": [],
"message": "<@&123> New order!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template: [], message: '<@&123> New order!'})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/notifications/settings/{notificationId}/discord-embed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Custom Discord embeds require the Business plan or higher."
}{
"message": "The given data was invalid.",
"errors": {
"template.fields.0.value": [
"Unknown variable \"{{ invoice.foo }}\"."
]
}
}Notifications
Update Discord Embed
Stores a customized Discord embed template and message for a notification. Requires the Business plan or higher. Text supports {{ variable }} placeholders from Get Discord Embed.
PUT
/
v1
/
shops
/
{shopId}
/
notifications
/
settings
/
{notificationId}
/
discord-embed
Update Discord Embed
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The ID of the shop.
The notification ID from Get Notification Settings.
Body
application/json
Response
Plan does not include custom embeds
Example:
"Custom Discord embeds require the Business plan or higher."